/* RIPE Database to I: line converter
 * Configuration options
 * $Id: config.h,v 1.2 2001/12/11 20:16:20 wcampbel Exp $
 */

#ifndef included_CONFIG_H
#define included_CONFIG_H

#define SEARCH_FOR_DUPS         /* search for duplicate/inclusive blocks */
#define SEARCH_FOR_MERGES       /* search for mergeable blocks */
#define WORKAROUND_32		/* do not print netmask if it's /32 */

#define OFF_BY_ONE_WORKAROUND   /* Attemp to fix broken records which ends
				   with one IP off subnet boundnary */

#define RIPE_NL_WORKAROUND	/* ignore 0.0.0.0 - 255.255.255.255 entry */

struct i_info i_info[] = {
/* Change these values to the countries and other options that you need
 *        country, big I, prefix, class
 *        big I is set to 1 if it's a full big I:, 0 if it's a restricted
 *        little i: line.  prefix is the I: line prefixes used.  Consult
 *        your ircd's documentation for more information.
 *
 * NOTE:  csircd does not have restricted mode (big and little 'i'); that
 *        setting is ignored
 */
        { "AT",     1,    "",    "11" },

/* Touching this may create an infinite loop! */
        { NULL,     0,    "",     "" }
};

/* At present, this program can generate three types of I: lines.
 * IRCnet, Hybrid 6, Hybrid 7, and csircd.
 *
 * Hybrid 5 and CSr are not supported as they do not have CIDR I: lines
 *
 * Define which IRCd type to generate authorization information for
 * here.
 *
 * Choose only one.
 */

//#define IRCD_IRCNET
#define IRCD_HYB6 
/* #define IRCD_HYB7 */
/* #define IRCD_CS   */

#endif
